Subject: Property mapping fails for Account::roles
Description

Hi,

following error is thrown when the PropertyMapper tries to map the roles.

#1297759968: Exception while property mapping for target type "SomeModel", at property path "accounts.0": Catchable Fatal
Error: Argument 1 passed to TYPO3\Flow\Persistence\Doctrine\Proxies\__CG__\TYPO3\Flow\Security\Account::setRoles()
must be an array, object given.

This is mainly because the typehint in the function setRoles is <array> while the property itself is annotated as Doctrine Collection.
Changing the typehint to \Doctrine\Common\Collections\Collection seems to fixes this problem.

Associated revisions
Revision 71ba4e0f - 2013-04-16 11:15 - Philipp Maier

[BUGFIX] Property mapper can again map account roles

Due to the type hint in the setter method of roles, the property
mapper was unable to set the converted property.

Change-Id: Ifda60ce0c465b8464d0cc12067228a8ec75bcd8e
Resolves: #47232
Releases: master, 2.0

Revision 903271f4 - 2013-04-16 12:09 - Philipp Maier

[BUGFIX] Property mapper can again map account roles

Due to the type hint in the setter method of roles, the property
mapper was unable to set the converted property.

Change-Id: Ifda60ce0c465b8464d0cc12067228a8ec75bcd8e
Resolves: #47232
Releases: master, 2.0

History
#1 - 2013-04-15 18:35 - Philipp Maier
- Assigned To set to Philipp Maier

#2 - 2013-04-15 21:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19996

#3 - 2013-04-16 10:55 - Philipp Maier

For the time being a TypeConverter can be used as a workaround.

https://gist.github.com/Akii/07e5678798db06493199

#4 - 2013-04-16 11:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19996

#5 - 2013-04-16 12:10 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19999

#6 - 2013-04-16 12:36 - Philipp Maier
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:903271f4f4959c8ee279e61dcc894ffd9968e6c7.
